For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • POSTCompute RAG index
            • GETGet RAG index
            • GETGet RAG index overview
            • POSTCompute RAG index in batch
            • DELDelete RAG index
          • GETSearch knowledge base
          • GETGet dependent agents
          • GETGet knowledge base size
          • GETGet knowledge base summaries
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceKnowledge BaseRAG

Compute RAG index

POST
/v1/convai/knowledge-base/:documentation_id/rag-index
POST
/v1/convai/knowledge-base/:documentation_id/rag-index
$curl -X POST https://api.elevenlabs.io/v1/convai/knowledge-base/documentation_id/rag-index \
> -H "Content-Type: application/json" \
> -d '{
> "model": "e5_mistral_7b_instruct"
>}'
1{
2 "id": "string",
3 "model": "e5_mistral_7b_instruct",
4 "status": "new",
5 "progress_percentage": 1.1,
6 "document_model_index_usage": {
7 "used_bytes": 1
8 }
9}
In case the document is not RAG indexed, it triggers rag indexing task, otherwise it just returns the current status.
Was this page helpful?
Previous

Get RAG index

Next
Built with

Path parameters

documentation_idstringRequired
The id of a document from the knowledge base. This is returned on document addition.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
modelenumRequiredDefaults to e5_mistral_7b_instruct
Allowed values:

Response

Successful Response
idstring
modelenumDefaults to e5_mistral_7b_instruct
Allowed values:
statusenum
progress_percentagedouble
document_model_index_usageobject

Errors

422
Unprocessable Entity Error